/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.entity.main.TsmProperty;
import com.crunii.micro.domain.entity.main.TsmPropertyValue;
import com.crunii.micro.service.sysmgr.dto.sysmgr.*;

import java.util.List;

/**
 * @author 田平 create 2019年2月20日下午4:03:19
 */
public interface PropertyService {

	public List<TsmPropertyValue> getValuesByCode(String propCode);

	public PageRsp<TsmPropertyValue> pageValue(PageReq<ValueReq> req);

	public PageRsp<TsmProperty> pageProperty(PageReq<PropertyReq> req);

	public void createProperty(PropertyC propertyC);

	public void updateProperty(PropertyU propertyU);

	public void createValue(ValueC propertyValueC);

	public void updateValue(ValueU propertyValueU);

	public void deleteValue(String propCode, Integer valueId);

	/**
	 * 提供后端直接批量保存静态值
	 * @param valueC
	 */
	void createValueList(ValueC valueC);

}
